package store_test

import (
	"io/ioutil"
	"os"
	"testing"

	"gitea.benny.dog/torjus/ezshare/store"
)

func TestFileStore(t *testing.T) {
	dir, err := ioutil.TempDir(os.TempDir(), "ezshare-test")
	if err != nil {
		t.Fatalf("unable to create temp-dir")
	}
	defer func() {
		_ = os.RemoveAll(dir)
	}()

	s := store.NewFileSystemStore(dir)
	doFileStoreTest(s, t)
}
