package store

import (
	"fmt"

	"gitea.benny.dog/torjus/ezshare/pb"
)

var ErrNoSuchFile = fmt.Errorf("no such file")

type FileStore interface {
	GetFile(id string) (*pb.File, error)
	StoreFile(file *pb.File) (string, error)
	DeleteFile(id string) error
}
